curl -X GET "https://nunu.ai/api/v1/project/your-project-id/agent-configs?page=0&page_size=25" \
-H "X-Api-Key: YOUR_API_TOKEN"
{
"data": [
{
"id": "ac_default",
"name": "default agent",
"description": "Project default agent",
"pinned": true
}
],
"pagination": {
"page": 0,
"page_size": 25,
"total_count": 1,
"total_pages": 1
}
}
Configs
List Agent Configs
Retrieve a paginated list of agent configurations for your project.
GET
/
project
/
{projectId}
/
agent-configs
curl -X GET "https://nunu.ai/api/v1/project/your-project-id/agent-configs?page=0&page_size=25" \
-H "X-Api-Key: YOUR_API_TOKEN"
{
"data": [
{
"id": "ac_default",
"name": "default agent",
"description": "Project default agent",
"pinned": true
}
],
"pagination": {
"page": 0,
"page_size": 25,
"total_count": 1,
"total_pages": 1
}
}
Permission Required:
project:view-configsagent_config_id values for
Start a Run and
Start Test Plan Run.
Query Parameters
integer
default:"0"
Page number (0-indexed)
integer
default:"25"
Results per page (1-100)
Response
AgentConfig[]
required
Array of agent config objects
object
required
Pagination metadata (
page, page_size, total_count, total_pages)AgentConfig Object
string
required
Agent config ID (use this as
agent_config_id when starting runs)string
required
Agent config name
string
Optional description
boolean
required
Whether the config is pinned (pinned items are returned first)
curl -X GET "https://nunu.ai/api/v1/project/your-project-id/agent-configs?page=0&page_size=25" \
-H "X-Api-Key: YOUR_API_TOKEN"
{
"data": [
{
"id": "ac_default",
"name": "default agent",
"description": "Project default agent",
"pinned": true
}
],
"pagination": {
"page": 0,
"page_size": 25,
"total_count": 1,
"total_pages": 1
}
}
Authorizations
API key for authentication
Path Parameters
The project ID. You can copy it from the project settings page or the project URL in the dashboard.
Query Parameters
Page number (0-indexed)
Results per page (1-100)
Required range:
1 <= x <= 100